# H501_ValidationRejection Class Reference

`#include <h501.h>`

Inheritance diagram for H501_ValidationRejection:

List of all members.

## Public Member Functions

| H501_ValidationRejection (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_ValidationRejectionReason | m_reason

## Constructor & Destructor Documentation

H501_ValidationRejection::H501_ValidationRejection | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_ValidationRejection::GetDataLength | ( |  | ) | const

PBoolean H501_ValidationRejection::Decode | ( | PASN_Stream & | strm | ) |

void H501_ValidationRejection::Encode | ( | PASN_Stream & | strm | ) | const

void H501_ValidationRejection::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_ValidationRejection::Compare | ( | const PObject & | obj | ) | const

PObject* H501_ValidationRejection::Clone | ( |  | ) | const

## Member Data Documentation

H501_ValidationRejectionReason H501_ValidationRejection::m_reason

The documentation for this class was generated from the following file:

- h501.h